Subject: Galen Basketweave Cordless Roman Shade
From: Danielle Stekle <[email-masked]>
To: [email-masked]
Date: Thu, 11 Sep 2025 13:18:12 -0400

Hello,

I have ordered many of your Galen basketweave cordless Roman shades on
Amazon for my home. Most recently, an order I received did not include the
two mounting brackets required to install them. Amazon sent a replacement,
but told me not to return the original blind that was missing hardware. I’m
wondering if it would be possible to order the hardware by itself directly
from you so I can still use the shade in my home.

Please let me know if this is something that would be possible.

Thank you,

Danielle Stekle